Package org.gradle.platform

# Interface BuildPlatform

@Incubating public interface BuildPlatform
Information about the machine host Gradle is running on.

Since:
  7.6

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Architecture`
  `getArchitecture()`
  `OperatingSystem`
  `getOperatingSystem()`

- ## Method Details

  - ### getOperatingSystem

    OperatingSystem getOperatingSystem()

  - ### getArchitecture

    Architecture getArchitecture()